package co.yixiang.yshop.module.mp.enums;

import lombok.Getter;

/**
 * @author pepis
 * @apiNote
 **/
@Getter
public enum CpKfServiceStateEnum {
    UNTREATED(0, "未处理"),
    INTELLIGENT(1, "由智能助手接待"),
    IN_THE_LINE(2, "待接入池排队中"),
    ARTIFICIAL(3, "由人工接待"),
    CLOSED(4, "已结束/未开始"),
    ;
    private final Integer value;

    private final String desc;

    CpKfServiceStateEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
